## newt 0.52.19

=== debian/changelog ===
newt (0.52.19-1) unstable; urgency=medium

  * New upstream release
    - refresh patches. Lanugage patches merged upstream
  * DH_COMPAT=10, with debhelper depends updated
  * Standards-Version now 3.9.8
  * Remove -dbg packages in favour of autogenerated -dbgsym packages

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 15 Oct 2016 09:00:06 +0100

newt (0.52.18-2) unstable; urgency=medium

  * bidi.patch: Look for libfribidi in multi-arch directory.
    Closes: #794691
  * Add comments to all patches.
  * debhelper >= 9.20141010 required for multstage build
  * Remove obsolete conffile. Closes: #793690
  * Ack. bugs fixed in older versions: Closes: #351367, #714786, #5799412.
  * Make python-* extensions Multi-Arch: same
  * Add dh-python to Build-Depends.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Dec 2015 10:21:48 +0000

=== debian/control ===
Source: newt
Section: devel
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Standards-Version: 3.9.8
Homepage: https://fedorahosted.org/newt/
Vcs-Git: git://git.fedorahosted.org/git/newt
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Build-Depends: sgmltools-lite, libslang2-dev  (>=2.0.4-2), libpopt-dev,
 debhelper (>=10), gettext, libfribidi-dev, tcl8.6-dev, 
 dh-autoreconf, autoconf, dpkg-dev (>= 1.17.14), 
 dh-python <!stage1>, python-all-dev (>= 2.6.6-3~) <!stage1>,  python-all-dbg <!stage1>,
 python3-all-dev <!stage1>, python3-all-dbg <!stage1>

Package: libnewt-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libslang2-dev (>= 2.0.2), libnewt0.52 (=${binary:Version}), ${misc:Depends}
Description: Developer's toolkit for newt windowing library
 These are the header files and libraries for developing applications
 which use newt. Newt is a windowing toolkit for text mode, which provides
 many widgets and stackable windows.

Package: libnewt-pic
Architecture: any
Multi-Arch: same
Section: libdevel
Priority: extra
Depends: libnewt-dev (=${binary:Version}), ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Not Erik's Windowing Toolkit, shared library subset kit
 This is used to develop subsets of the newt shared libraries for use on
 custom installation floppies and in embedded systems. Unless you're
 making one of those, you won't need this package.

Package: newt-tcl
Architecture: any
Section: interpreters
Priority: extra
Depends: libnewt0.52 (=${binary:Version}) , tcl8.3 | tcl8.4 | tcl8.5, ${misc:Depends}, ${shlibs:Depends}
Description: NEWT module for Tcl
 This module allows you to build a text UI for your Tcl scripts
 using newt.

Package: python-newt
Architecture: any
Multi-Arch: same
Section: python
Provides: ${python:Provides}
Depends: libnewt0.52 (=${binary:Version}) , ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Build-Profiles: <!stage1>
Description: NEWT module for Python
 This module allows you to built a text UI for your Python scripts
 using newt.

Package: python3-newt
Architecture: any
Multi-Arch: same
Section: python
Provides: ${python3:Provides}
Depends: libnewt0.52 (=${binary:Version}) , ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Build-Profiles: <!stage1>
Description: NEWT module for Python3
 This module allows you to built a text UI for your Python3 scripts
 using newt.

Package: libnewt0.52
Architecture: any
Section: libs
Priority: important
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: libfribidi0
Multi-Arch: same
Description: Not Erik's Windowing Toolkit - text mode windowing with slang
 Newt is a windowing toolkit for text mode built from the slang library.
 It allows color text mode applications to easily use stackable windows,
 push buttons, check boxes, radio buttons, lists, entry fields, labels,
 and displayable text. Scrollbars are supported, and forms may be nested
 to provide extra functionality. This package contains the shared library
 for programs that have been built with newt.

Package: whiptail
Architecture: any
Section: utils
Priority: important
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Displays user-friendly dialog boxes from shell scripts
 Whiptail is a "dialog" replacement using newt instead of ncurses. It
 provides a method of displaying several different types of dialog boxes
 from shell scripts. This allows a developer of a script to interact with
 the user in a much friendlier manner.

## newt 0.52.20

=== debian/changelog ===
newt (0.52.20-8) unstable; urgency=medium

  * Don't ship /etc/newt/palette.original. Closes: #909030

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 27 Sep 2018 12:36:41 +0100

newt (0.52.20-7) unstable; urgency=medium

  * Standards-Version: 4.2.1; no changes required
  * Don't hard-code Automake version. Closes: #908739
  * Grammar fix in description. Closes: #908740
  * Close vcs reference bug. Closes: #572753
  * Delete old palette.original files, too. Closes: #784390

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Sep 2018 13:58:51 +0100

newt (0.52.20-6) unstable; urgency=medium

  * Bump automake version to 1.16. Closes: #906494
  * Standards=Version: 4.2.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 18 Aug 2018 17:32:23 +0100

newt (0.52.20-5) unstable; urgency=medium

  * Drop ancient X-Python*-Version statements from d/control
  * Standards-Version: 4.1.4; no changes required
  * Rebuild against python3.7

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 Jun 2018 09:50:38 +0100

newt (0.52.20-4) unstable; urgency=medium

  * Drop Priority: important for whiptail, to minimize system size.
    Closes: #893563
  * Replace dependency of newt-tcl from tcl8.3 | tcl8.4 | tcl8.5 to tcl8.6
    since the package is built using Tcl 8.6. Closes: #893136
  * Minor corrections to whiptail.1 by Bjarni Ingi Gislason. 
    Closes: #890044
  * Drop references to obsolete dbg packages, dependencies

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Mar 2018 13:07:22 +0000

newt (0.52.20-3) unstable; urgency=medium

  * Create udeb. Closes: #871033
  * Update watch file to look at releases.pagure.io
  * Delete obsolete patches
  * Set VCS to salsa.debian.org/mckinstry/newt

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 07 Mar 2018 15:31:56 +0000

newt (0.52.20-2) unstable; urgency=medium

  * Standards-Version: 4.1.3
  * Drop Priority: extra in favour of optional
  * Drop Priority: important on lib package
  * Drop dh-autoconf, autoconf B-D as automatic on DH 10
  * Change homepage to https://pagure.io/newt
  * Drop broken VCS-Git
  * Drop obsolete pre-depends
  * Drop obsolete alternatives. Closes: #868056
  * Delete old /etc/newt/palette if left over on previous install
  * Fix fail-to-crossbuild due to Python dependencies.
    Thanks to Helmut Grohe. Closes: #888300

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 30 Jan 2018 08:46:27 +0000

newt (0.52.20-1) unstable; urgency=medium

  * New upstream release. Closes: #847729

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 May 2017 11:53:05 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,24 @@
 Section: devel
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Standards-Version: 3.9.8
-Homepage: https://fedorahosted.org/newt/
-Vcs-Git: git://git.fedorahosted.org/git/newt
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.2
-Build-Depends: sgmltools-lite, libslang2-dev  (>=2.0.4-2), libpopt-dev,
- debhelper (>=10), gettext, libfribidi-dev, tcl8.6-dev, 
- dh-autoreconf, autoconf, dpkg-dev (>= 1.17.14), 
- dh-python <!stage1>, python-all-dev (>= 2.6.6-3~) <!stage1>,  python-all-dbg <!stage1>,
- python3-all-dev <!stage1>, python3-all-dbg <!stage1>
+Vcs-Browser: https://salsa.debian.org:/mckinstry/newt.git
+Vcs-Git: https://salsa.debian.org:/mckinstry/newt.git
+Standards-Version: 4.2.1
+Homepage: https://pagure.io/newt
+Build-Depends: debhelper (>= 10),
+ sgmltools-lite, 
+ automake (>= 1.16),
+ libslang2-dev  (>=2.0.4-2), 
+ libpopt-dev,
+ gettext, 
+ libfribidi-dev, 
+ tcl8.6-dev, 
+ dh-python <!stage1>, 
+ python-all-dev:any (>= 2.6.6-3~) <!stage1>,  
+ python3-all-dev:any <!stage1>, 
+ libpython-all-dev (>= 2.6.6-3~) <!stage1>,
+ libpython3-all-dev <!stage1>,
+ libpython-all-dbg <!stage1>,
 
 Package: libnewt-dev
 Architecture: any
@@ -27,19 +35,27 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Priority: extra
 Depends: libnewt-dev (=${binary:Version}), ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Description: Not Erik's Windowing Toolkit, shared library subset kit
  This is used to develop subsets of the newt shared libraries for use on
  custom installation floppies and in embedded systems. Unless you're
  making one of those, you won't need this package.
 
+Package: libnewt0.52-udeb
+Architecture: any
+Section: debian-installer
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Not Erik's Windowing Toolkit for Debian Installer
+ This is a udeb, or a microdeb, of the Not Erik's Windowing Toolkit. As such
+ it is the installer counterpart of libnewt0.52.
+ You only need this package to support applications needing Newt during
+ the Debian installation process time and probably don't need to select it.
+Package-Type: udeb
+
 Package: newt-tcl
 Architecture: any
 Section: interpreters
-Priority: extra
-Depends: libnewt0.52 (=${binary:Version}) , tcl8.3 | tcl8.4 | tcl8.5, ${misc:Depends}, ${shlibs:Depends}
+Depends: libnewt0.52 (=${binary:Version}) , tcl8.6, ${misc:Depends}, ${shlibs:Depends}
 Description: NEWT module for Tcl
  This module allows you to build a text UI for your Tcl scripts
  using newt.
@@ -52,7 +68,7 @@
 Depends: libnewt0.52 (=${binary:Version}) , ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Build-Profiles: <!stage1>
 Description: NEWT module for Python
- This module allows you to built a text UI for your Python scripts
+ This module allows you to build a text UI for your Python scripts
  using newt.
 
 Package: python3-newt
@@ -63,15 +79,13 @@
 Depends: libnewt0.52 (=${binary:Version}) , ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Build-Profiles: <!stage1>
 Description: NEWT module for Python3
- This module allows you to built a text UI for your Python3 scripts
+ This module allows you to build a text UI for your Python3 scripts
  using newt.
 
 Package: libnewt0.52
 Architecture: any
 Section: libs
-Priority: important
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Recommends: libfribidi0
 Multi-Arch: same
 Description: Not Erik's Windowing Toolkit - text mode windowing with slang
@@ -85,10 +99,8 @@
 Package: whiptail
 Architecture: any
 Section: utils
-Priority: important
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Description: Displays user-friendly dialog boxes from shell scripts
  Whiptail is a "dialog" replacement using newt instead of ncurses. It
  provides a method of displaying several different types of dialog boxes

=== debian/rules ===
#!/usr/bin/make -f
#
# Created 20 December 1997 by Enrique Zanardi <ezanardi@ull.es>
# Modified 2002-2011 by Alastair McKinstry, <mckinstry@debian.org>
#
# Copying and modification is unlimited, provided that the modified
# version is marked as being modified.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# Magic debhelper rule.
%:
ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	dh $@ --with python2,python3
else
	dh $@ 
endif

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
DEB_HOST_ARCH_OS  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
PYVERS:=$(shell pyversions --supported)
PY3VERS:=$(shell py3versions --supported)

AM_VERS:=$(strip $(shell dpkg-query -f '$${source:Upstream-Version}' -W automake | egrep -o '^[0-9]+\.[0-9]+'))

ifeq ($(DEB_HOST_ARCH_OS),hurd)
GPMSUPPORT=
else
GPMSUPPORT= --with-gpm-support
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
NOSTRIP=--with-nostrip=no
else
NOSTRIP=--with-nostrip=yes
endif

COLORSFILE = --with-colorsfile=/etc/newt/palette

override_dh_auto_clean:
	dh_auto_clean
	# remove autogenerated files
	rm -rf Makefile config.h* config.log config.status .depend libnewt.pc \
	   configure install-sh po/*.mo python* tutorial libnewt_pic.a po/newt.pot
	rm -f debian/shlibs.local

override_dh_auto_configure:
	# Nasty hack. why is it necessary?
	cp /usr/share/automake-$(AM_VERS)/install-sh ./install-sh
	dh_auto_configure  -- $(GPMSUPPORT) $(NOSTRIP) $(COLORSFILE) CFLAGS='-I/usr/include/tcl8.6 $(CFLAGS) -DMARCH=\"$(DEB_HOST_MULTIARCH)\" '  \
		CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" FFLAGS="$(FFLAGS)" 

override_dh_auto_build:
	dh_auto_build
	sgmltools --backend html tutorial.sgml
	ar cqv libnewt_pic.a shared/*.o

override_dh_auto_install:
	dh_auto_install 
ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	for v in $(PYVERS); do \
		pylib=usr/lib/$$v/dist-packages ; \
		mkdir -p debian/python-newt/$$pylib ; \
		mv $$v/_snack.so debian/python-newt/$$pylib/_snack.$(DEB_HOST_MULTIARCH).so; \
                cp snack.py $$v/* debian/python-newt/$$pylib; \
	done
	for v in $(PY3VERS); do \
               pylib=usr/lib/python3/dist-packages ; \
               abitag=.$$($$v -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"); \
               mkdir -p debian/python3-newt/$$pylib ; \
               if echo x$$abitag | grep -q "$(DEB_HOST_MULTIARCH)"; then \
                mv $$v/_snack.so $$v/_snack$$abitag.so; \
              else \
                 mv $$v/_snack.so $$v/_snack$$abitag-$(DEB_HOST_MULTIARCH).so; \
              fi; \
               cp snack.py $$v/* debian/python3-newt/$$pylib; \
        done
	-find debian/python-* debian/python3-* -name '*.o' | xargs rm -f
endif
	dh_install -p libnewt-dev libnewt.a $(LIBDIR)
	mkdir -p debian/libnewt-pic/$(LIBDIR)
	cp newt*.ver debian/libnewt-pic/$(LIBDIR)/libnewt_pic.map

override_dh_makeshlibs:
	dh_makeshlibs -a -V --add-udeb="libnewt0.52-udeb"

## newt 0.52.20-1ubuntu1+9.0trisquel2

=== po/Makefile ===
INSTALL= /usr/bin/install -c
INSTALL_PROGRAM= ${INSTALL}
INSTALL_DATA= ${INSTALL} -m 644
INSTALLNLSDIR=$(datadir)/locale

MSGMERGE = msgmerge

NLSPACKAGE = newt

CATALOGS = $(shell ls *.po)
FMTCATALOGS = $(patsubst %.po,%.mo,$(CATALOGS))

POTFILES  = ../dialogboxes.c

all: $(NLSPACKAGE).pot $(FMTCATALOGS)

$(NLSPACKAGE).pot: $(POTFILES)
	xgettext --default-domain=$(NLSPACKAGE) \
		--package-name=$(NLSPACKAGE) \
		--add-comments --keyword=_ --keyword=N_ $(POTFILES)
	if cmp -s $(NLSPACKAGE).po $(NLSPACKAGE).pot; then \
	    rm -f $(NLSPACKAGE).po; \
	else \
	    mv $(NLSPACKAGE).po $(NLSPACKAGE).pot; \
	fi

refresh-po: Makefile
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
		lang=`echo $$cat | sed 's/.po//'`; \
		if $(MSGMERGE) $$lang.po $(NLSPACKAGE).pot > $$lang.pot ; then \
			mv -f $$lang.pot $$lang.po ; \
			echo "$(MSGMERGE) of $$lang succeeded" ; \
		else \
			echo "$(MSGMERGE) of $$lang failed" ; \
			rm -f $$lang.pot ; \
		fi \
	done

update-po: $(NLSPACKAGE).pot Makefile refresh-po

report:
	@for cat in $(CATALOGS); do \
		echo -n "$$cat: "; \
		msgfmt --endianness little -v --statistics -o /dev/null $$cat; \
	done

clean:
	rm -f *mo

depend:

install: all
	mkdir -p $(INSTALLNLSDIR)
	for n in $(CATALOGS); do \
	    l=`basename $$n .po`; \
	    mo=$$l.mo; \
	    $(INSTALL) -m 755 -d $(INSTALLNLSDIR)/$$l; \
	    $(INSTALL) -m 755 -d $(INSTALLNLSDIR)/$$l/LC_MESSAGES; \
	    if [ -f $$n ]; then \
	        $(INSTALL) -m 644 $$mo $(INSTALLNLSDIR)/$$l/LC_MESSAGES/$(NLSPACKAGE).mo; \
	    fi; \
	done

%.mo: %.po
	msgfmt -v -o $@ $<

=== debian/changelog ===
newt (0.52.20-1ubuntu1+9.0trisquel2) etiona; urgency=medium

  * Color palette set back to default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 04 May 2019 20:56:16 +0200

newt (0.52.20-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Fix python-* package descriptions.
    - Install/remove alternatives for the ubuntu palette.
    - Don't install python-newt example files.
    - Install whiptail in /bin instead of /usr/bin.
    - Install library into /lib instead of /usr/lib.
    - Revert the stage1 changes, the package can be cross-built without it.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 12 Jan 2018 17:42:24 +0100

newt (0.52.18-3ubuntu3) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Aug 2017 16:26:51 +1200

newt (0.52.18-3ubuntu2) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 May 2017 12:08:54 +1200

newt (0.52.18-3ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Fix python-* package descriptions.
    - Install/remove alternatives for the ubuntu palette.
    - Don't install python-newt example files.
    - Install whiptail in /bin instead of /usr/bin.
    - Install library into /lib instead of /usr/lib.
    - Revert the stage1 changes, the package can be cross-built without it.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 May 2016 19:20:58 +0200

newt (0.52.18-3) unstable; urgency=medium

  * Rebuild against python3.5 for transition
  * Standards-Version: 3.9.7. No changes required.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Mar 2016 22:05:40 +0000

## newt 0.52.21

=== debian/changelog ===
newt (0.52.21-5ubuntu2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:30:58 +0000

newt (0.52.21-5ubuntu1) jammy; urgency=low

  * Merge from Debian unstable (LP: #1958502). Remaining changes:
    - Install/remove alternatives for the ubuntu palette.
    - Don't install python-newt example files.
    - Add correct build-dependencies on python3-all-dbg and
      libpython3-all-dbg, needed due to debian/patches/snack.patch.
    - Revert Debian's dropping of /etc/newt/palette.original, used as an
      alternative in Ubuntu.
    - Remove libnewt0.52.preinst altogether, which contains destructive
      operations with none of the appropriate version guards.
    - Drop call to update-alternatives --auto in our postinst, which would
      clobber the user's settings.

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Wed, 19 Jan 2022 14:31:39 +0100

newt (0.52.21-5) unstable; urgency=medium

  * Standards-Version: 4.6.0
  * Use debhelper-compat 13
  * Use dh-sequence-python3 instead of --with python3, dh-python
  * Point Vcs-Git to debian/latest branch for DEP-14
  * Add d/gbp.conf to point to DEP-14 branches
  * Drop custom 'xz' compression d/source/options
  * Change stage1 build profile to nopython. Closes: #949721
  * B-D on python3-all-dbg
  * python.patch: Drop refs to obsolete pyversions

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 07 Sep 2021 10:59:05 +0100

newt (0.52.21-4ubuntu8) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:57:10 +0000

newt (0.52.21-4ubuntu7) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:21:30 +0200

newt (0.52.21-4ubuntu6) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 26 Feb 2021 08:11:32 +0100

newt (0.52.21-4ubuntu5) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:35:39 +0100

newt (0.52.21-4ubuntu4) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:41:02 +0100

newt (0.52.21-4ubuntu3) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 10:53:13 +0200

newt (0.52.21-4ubuntu2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:21:04 +0100

newt (0.52.21-4ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Install/remove alternatives for the ubuntu palette.
    - Don't install python-newt example files.
    - Add correct build-dependencies on python3-all-dbg and
      libpython3-all-dbg, needed due to debian/patches/snack.patch.
    - Revert Debian's dropping of /etc/newt/palette.original, used as an
      alternative in Ubuntu.
    - Remove libnewt0.52.preinst altogether, which contains destructive
      operations with none of the appropriate version guards.
    - Drop call to update-alternatives --auto in our postinst, which would
      clobber the user's settings.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 11:44:47 -0800

newt (0.52.21-4) unstable; urgency=medium

  * Switch from sgmltools-lite to docbook-utils for py2, sgmltools orphaned.
    Closes: #946880
  * Standards-Version: 4.4.1.0

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 17 Dec 2019 07:32:55 +0000

newt (0.52.21-3ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Install/remove alternatives for the ubuntu palette.
    - Don't install python-newt example files.
    - Add correct build-dependencies on python3-all-dbg and
      libpython3-all-dbg, needed due to debian/patches/snack.patch.
    - Revert Debian's dropping of /etc/newt/palette.original, used as an
      alternative in Ubuntu.
    - Remove libnewt0.52.preinst altogether, which contains destructive
      operations with none of the appropriate version guards.
    - Drop call to update-alternatives --auto in our postinst, which would
      clobber the user's settings.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 18 Oct 2019 14:54:37 -0700

newt (0.52.21-3) unstable; urgency=medium

  * Move to Standards-Version: 4.4.0
  * Drop reference to libpython-dev. Closes: #937133
  * Use debhelper-compat (= 12)
  * Drop --add-udeb in dh_makeshlibs, for dh 12

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Sep 2019 16:59:14 +0100

newt (0.52.21-2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Install/remove alternatives for the ubuntu palette.
    - Don't install python-newt example files.
    - Add correct build-dependencies on python3-all-dbg and
      libpython3-all-dbg, needed due to debian/patches/snack.patch.
    - Revert Debian's dropping of /etc/newt/palette.original, used as an
      alternative in Ubuntu.
    - Remove libnewt0.52.preinst altogether, which contains destructive
      operations with none of the appropriate version guards.
    - Drop call to update-alternatives --auto in our postinst, which would
      clobber the user's settings.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 15 Jul 2019 22:16:32 -0700

newt (0.52.21-2) unstable; urgency=medium

  * Standards-Version: 4.3.0
  * Drop python-newt for python2 transition

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 14 Jul 2019 12:14:59 +0100

newt (0.52.21-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Install/remove alternatives for the ubuntu palette.
    - Don't install python-newt example files.
    - Add correct build-dependencies on python{3,}-all-dbg, needed due to
      debian/patches/snack.patch.


=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: newt
 Section: devel
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Vcs-Browser: https://salsa.debian.org:/mckinstry/newt.git
-Vcs-Git: https://salsa.debian.org:/mckinstry/newt.git
-Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org:/mckinstry/newt.git -b debian/latest
+Standards-Version: 4.6.0
 Homepage: https://pagure.io/newt
-Build-Depends: debhelper (>= 10),
- sgmltools-lite, 
+Build-Depends: debhelper-compat (= 13),
+ docbook-utils,
  automake (>= 1.16),
  libslang2-dev  (>=2.0.4-2), 
  libpopt-dev,
  gettext, 
  libfribidi-dev, 
  tcl8.6-dev, 
- dh-python <!stage1>, 
- python-all-dev:any (>= 2.6.6-3~) <!stage1>,  
- python3-all-dev:any <!stage1>, 
- libpython-all-dev (>= 2.6.6-3~) <!stage1>,
- libpython3-all-dev <!stage1>,
- libpython-all-dbg <!stage1>,
+ dh-sequence-python3 <!nopython>, 
+ python3-all-dev:any <!nopython>, 
+ python3-all-dbg:any <!nopython>, 
+ libpython3-all-dev <!nopython>,
+ libpython3-all-dbg <!nopython>
 
 Package: libnewt-dev
 Architecture: any
@@ -60,24 +60,13 @@
  This module allows you to build a text UI for your Tcl scripts
  using newt.
 
-Package: python-newt
-Architecture: any
-Multi-Arch: same
-Section: python
-Provides: ${python:Provides}
-Depends: libnewt0.52 (=${binary:Version}) , ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Build-Profiles: <!stage1>
-Description: NEWT module for Python
- This module allows you to build a text UI for your Python scripts
- using newt.
-
 Package: python3-newt
 Architecture: any
 Multi-Arch: same
 Section: python
 Provides: ${python3:Provides}
 Depends: libnewt0.52 (=${binary:Version}) , ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Build-Profiles: <!stage1>
+Build-Profiles: <!nopython>
 Description: NEWT module for Python3
  This module allows you to build a text UI for your Python3 scripts
  using newt.

=== debian/rules ===
--- 
+++ 
@@ -11,16 +11,11 @@
 
 # Magic debhelper rule.
 %:
-ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
-	dh $@ --with python2,python3
-else
 	dh $@ 
-endif
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
 DEB_HOST_ARCH_OS  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-PYVERS:=$(shell pyversions --supported)
 PY3VERS:=$(shell py3versions --supported)
 
 AM_VERS:=$(strip $(shell dpkg-query -f '$${source:Upstream-Version}' -W automake | egrep -o '^[0-9]+\.[0-9]+'))
@@ -45,6 +40,7 @@
 	rm -rf Makefile config.h* config.log config.status .depend libnewt.pc \
 	   configure install-sh po/*.mo python* tutorial libnewt_pic.a po/newt.pot
 	rm -f debian/shlibs.local
+	rm -f debian/python*-newt*.examples 
 
 override_dh_auto_configure:
 	# Nasty hack. why is it necessary?
@@ -54,18 +50,13 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	sgmltools --backend html tutorial.sgml
+	mkdir -p tutorial
+	(cd tutorial && docbook2html ../tutorial.sgml )
 	ar cqv libnewt_pic.a shared/*.o
 
 override_dh_auto_install:
 	dh_auto_install 
-ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
-	for v in $(PYVERS); do \
-		pylib=usr/lib/$$v/dist-packages ; \
-		mkdir -p debian/python-newt/$$pylib ; \
-		mv $$v/_snack.so debian/python-newt/$$pylib/_snack.$(DEB_HOST_MULTIARCH).so; \
-                cp snack.py $$v/* debian/python-newt/$$pylib; \
-	done
+ifeq ($(filter nopython,$(DEB_BUILD_PROFILES)),)
 	for v in $(PY3VERS); do \
                pylib=usr/lib/python3/dist-packages ; \
                abitag=.$$($$v -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"); \
@@ -79,9 +70,8 @@
         done
 	-find debian/python-* debian/python3-* -name '*.o' | xargs rm -f
 endif
-	dh_install -p libnewt-dev libnewt.a $(LIBDIR)
 	mkdir -p debian/libnewt-pic/$(LIBDIR)
 	cp newt*.ver debian/libnewt-pic/$(LIBDIR)/libnewt_pic.map
 
 override_dh_makeshlibs:
-	dh_makeshlibs -a -V --add-udeb="libnewt0.52-udeb"
+	dh_makeshlibs -a -V

## newt 0.52.21-5ubuntu2+11.0trisquel3

=== debian/changelog ===
newt (0.52.21-5ubuntu2+11.0trisquel3) aramo; urgency=medium

  * Color palette set back to default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Jul 2022 00:30:44 +0000

## newt 0.52.22

=== debian/changelog ===
newt (0.52.22-1) unstable; urgency=medium

  * New upstream release. Closes: #1022052
  * Build against py3.10, py3.11

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Nov 2022 07:38:58 +0000

newt (0.52.21-6) unstable; urgency=medium

  * Machine-readable copyright file with fixed refs to some files, thanks
    Bastian  Germann. Closes: #1019930
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 18 Sep 2022 11:59:20 +0100

## newt 0.52.23

=== debian/changelog ===
newt (0.52.23-1) unstable; urgency=medium

  * New upstream release
  * Update compiler-warnings.patch
  * Minor fix to d/rules (define WHIPTCLLIB) because configure changed

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 30 Nov 2022 08:24:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: newt
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Vcs-Browser: https://salsa.debian.org:/mckinstry/newt.git
 Vcs-Git: https://salsa.debian.org:/mckinstry/newt.git -b debian/latest
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://pagure.io/newt
 Build-Depends: debhelper-compat (= 13),
  docbook-utils,
@@ -18,8 +17,7 @@
  dh-sequence-python3 <!nopython>, 
  python3-all-dev:any <!nopython>, 
  python3-all-dbg:any <!nopython>, 
- libpython3-all-dev <!nopython>,
- libpython3-all-dbg <!nopython>
+ libpython3-all-dev <!nopython>
 
 Package: libnewt-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -40,13 +40,12 @@
 	rm -rf Makefile config.h* config.log config.status .depend libnewt.pc \
 	   configure install-sh po/*.mo python* tutorial libnewt_pic.a po/newt.pot
 	rm -f debian/shlibs.local
-	rm -f debian/python*-newt*.examples 
 
 override_dh_auto_configure:
 	# Nasty hack. why is it necessary?
 	cp /usr/share/automake-$(AM_VERS)/install-sh ./install-sh
 	dh_auto_configure  -- $(GPMSUPPORT) $(NOSTRIP) $(COLORSFILE) CFLAGS='-I/usr/include/tcl8.6 $(CFLAGS) -DMARCH=\"$(DEB_HOST_MULTIARCH)\" '  \
-		CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" FFLAGS="$(FFLAGS)" 
+		CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" FFLAGS="$(FFLAGS)"  WHIPTCLLIB=whiptcl
 
 override_dh_auto_build:
 	dh_auto_build
@@ -68,7 +67,7 @@
               fi; \
                cp snack.py $$v/* debian/python3-newt/$$pylib; \
         done
-	-find debian/python-* debian/python3-* -name '*.o' | xargs rm -f
+	-find debian/python3-* -name '*.o' | xargs rm -f
 endif
 	mkdir -p debian/libnewt-pic/$(LIBDIR)
 	cp newt*.ver debian/libnewt-pic/$(LIBDIR)/libnewt_pic.map

## newt 0.52.24

=== debian/changelog ===
newt (0.52.24-2ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:10:06 +0000

newt (0.52.24-2ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2054152). Remaining changes:
    + Remove libnewt0.52.preinst altogether, which contains destructive
      operations with none of the appropriate version guards
    + Add correct build-dependencies on python3-all-dbg and
      libpython3-all-dbg, needed due to debian/patches/snack.patch
    + Don't install python-newt example files
    + Install/remove alternatives for the ubuntu palette
    + Revert Debian's dropping of /etc/newt/palette.original, used as an
      alternative in Ubuntu

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Tue, 20 Feb 2024 12:50:09 -0300

newt (0.52.24-2) unstable; urgency=medium

  * Ensure make fails if extension build fails. Closes: #1060660
  * Drop undefined python3:Provides in d/control

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Jan 2024 13:32:29 +0000

newt (0.52.24-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2045576). Remaining changes:
    + Remove libnewt0.52.preinst altogether, which contains destructive
      operations with none of the appropriate version guards
    + Add correct build-dependencies on python3-all-dbg and
      libpython3-all-dbg, needed due to debian/patches/snack.patch
    + Don't install python-newt example files
    + Install/remove alternatives for the ubuntu palette
    + Revert Debian's dropping of /etc/newt/palette.original, used as an
      alternative in Ubuntu
  * Removed irrelevant changelog entry discovered when merging with git-ubuntu

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Tue, 05 Dec 2023 14:21:31 -0300

newt (0.52.24-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 28 Oct 2023 09:47:05 +0100

newt (0.52.23-1ubuntu2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:10:17 +0000

newt (0.52.23-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Install/remove alternatives for the ubuntu palette
    + Don't install python-newt example files
    + Add correct build-dependencies on python3-all-dbg and
      libpython3-all-dbg, needed due to debian/patches/snack.patch
    + Revert Debian's dropping of /etc/newt/palette.original, used as an
      alternative in Ubuntu
    + Remove libnewt0.52.preinst altogether, which contains destructive
      operations with none of the appropriate version guards
    + Drop call to update-alternatives --auto in our postinst, which would
      clobber the user's settings

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 16 Feb 2023 15:02:12 +0000

newt (0.52.21-5ubuntu3) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Nov 2022 08:32:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: newt
 Section: devel
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Vcs-Browser: https://salsa.debian.org:/mckinstry/newt.git
 Vcs-Git: https://salsa.debian.org:/mckinstry/newt.git -b debian/latest
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://pagure.io/newt
 Build-Depends: debhelper-compat (= 13),
  docbook-utils,
@@ -17,7 +18,8 @@
  dh-sequence-python3 <!nopython>, 
  python3-all-dev:any <!nopython>, 
  python3-all-dbg:any <!nopython>, 
- libpython3-all-dev <!nopython>
+ libpython3-all-dev <!nopython>,
+ libpython3-all-dbg <!nopython>
 
 Package: libnewt-dev
 Architecture: any
@@ -62,7 +64,6 @@
 Architecture: any
 Multi-Arch: same
 Section: python
-Provides: ${python3:Provides}
 Depends: libnewt0.52 (=${binary:Version}) , ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Build-Profiles: <!nopython>
 Description: NEWT module for Python3

=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,7 @@
 	rm -rf Makefile config.h* config.log config.status .depend libnewt.pc \
 	   configure install-sh po/*.mo python* tutorial libnewt_pic.a po/newt.pot
 	rm -f debian/shlibs.local
+	rm -f debian/python*-newt*.examples 
 
 override_dh_auto_configure:
 	# Nasty hack. why is it necessary?

## newt 0.52.25

=== debian/changelog ===
newt (0.52.25-1ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:30:20 +0000

newt (0.52.25-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2112046). Remaining changes:
    + Remove libnewt0.52.preinst altogether, which contains destructive
      operations with none of the appropriate version guards
    + Add correct build-dependencies on python3-all-dbg and
      libpython3-all-dbg, needed due to debian/patches/snack.patch
    + Don't install python-newt example files
    + Install/remove alternatives for the ubuntu palette
    + Revert Debian's dropping of /etc/newt/palette.original, used as an
      alternative in Ubuntu

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 17 Jun 2025 11:16:24 -0400

newt (0.52.25-1) unstable; urgency=medium

  * New upstream release
  * Update patches:
    - makefile-fail.patch: redundant 
  * Update version number in install files
  * Install snack.py via python3-newt.install
  * Replace FSF ols address n d/copyright

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Apr 2025 15:43:26 +0100

newt (0.52.24-4ubuntu2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:35:15 +0000

newt (0.52.24-4ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2090841). Remaining changes:
    + Remove libnewt0.52.preinst altogether, which contains destructive
      operations with none of the appropriate version guards
    + Add correct build-dependencies on python3-all-dbg and
      libpython3-all-dbg, needed due to debian/patches/snack.patch
    + Don't install python-newt example files
    + Install/remove alternatives for the ubuntu palette
    + Revert Debian's dropping of /etc/newt/palette.original, used as an
      alternative in Ubuntu
  * Dropped changes:
    + d/p/fix-bidi-i386.patch: patch upstreamed to Debian, therefore removed
      from Ubuntu delta.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Mon, 02 Dec 2024 11:43:08 -0300

newt (0.52.24-4) unstable; urgency=medium

  * Rebuild for python3.13 support.
  * Close old bugs: #1025163, #1033421
  * cross.patch: FIx FTCBFS with wrong python-config. Closes: #1061246:

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Nov 2024 15:52:04 +0000

newt (0.52.24-3) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Fix broken vcs url
  * Standards-Version: 4.7.0; no changes required
  * Patch from henryn to support nopython.  Closes: #1033465
  * python3-newt examples use /usr/bin/python3. Closes: #983468
  * Fix from upstream for i386 FTBFS. Closes: #1086133
  * Rename NEWS.Debian following Lintian

  [ Helmut Grohne ]
  * Support for noudeb profile. Closes: #1024939
  * Fix for nopython build profile. Closes: #1033431, #1082963

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 Nov 2024 13:59:22 +0000

newt (0.52.24-2ubuntu4) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:03:12 +0100

newt (0.52.24-2ubuntu3) oracular; urgency=high

  * d/pacthes/fix-bidi-i386.patch, d/patches/series: On i386, the build for newt
  fails due to an incompatible pointer type in wchar_to_textmod_visual while calling
  fribidi_log2vis (-Werror is enabled). This change typecasts the argument (from a
  wchar_t * to a FriBidiChar *) to pass it. (LP: #2083549)

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Tue, 24 Sep 2024 00:00:45 +0530

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Vcs-Browser: https://salsa.debian.org:/mckinstry/newt.git
-Vcs-Git: https://salsa.debian.org:/mckinstry/newt.git -b debian/latest
-Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/mckinstry/newt.git
+Vcs-Git: https://salsa.debian.org/mckinstry/newt.git -b debian/latest
+Standards-Version: 4.7.0
 Homepage: https://pagure.io/newt
 Build-Depends: debhelper-compat (= 13),
  docbook-utils,
@@ -51,6 +51,7 @@
  You only need this package to support applications needing Newt during
  the Debian installation process time and probably don't need to select it.
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 
 Package: newt-tcl
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -16,23 +16,28 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
 DEB_HOST_ARCH_OS  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+ifeq ($(filter nopython,$(DEB_BUILD_PROFILES)),)
 PY3VERS:=$(shell py3versions --supported)
+else
+PYTHONSUPPORT= --without-python
+endif
 
 AM_VERS:=$(strip $(shell dpkg-query -f '$${source:Upstream-Version}' -W automake | egrep -o '^[0-9]+\.[0-9]+'))
 
-ifeq ($(DEB_HOST_ARCH_OS),hurd)
-GPMSUPPORT=
-else
+ifneq ($(DEB_HOST_ARCH_OS),hurd)
 GPMSUPPORT= --with-gpm-support
+CONFIGURE_ARGS += --with-gpm-support
 endif
 
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-NOSTRIP=--with-nostrip=no
+CONFIGURE_ARGS += --with-nostrip=$(if $(filter notsrip,$(DEB_BUILD_OPTIONS)),yes,no)
+
+ifeq ($(filter nopython,$(DEB_BUILD_PROFILES)),)
+CONFIGURE_ARGS += "--with-python=`py3versions --supported`"
 else
 NOSTRIP=--with-nostrip=yes
+CONFIGURE_ARGS += --without-python
 endif
 
-COLORSFILE = --with-colorsfile=/etc/newt/palette
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -45,7 +50,8 @@
 override_dh_auto_configure:
 	# Nasty hack. why is it necessary?
 	cp /usr/share/automake-$(AM_VERS)/install-sh ./install-sh
-	dh_auto_configure  -- $(GPMSUPPORT) $(NOSTRIP) $(COLORSFILE) CFLAGS='-I/usr/include/tcl8.6 $(CFLAGS) -DMARCH=\"$(DEB_HOST_MULTIARCH)\" '  \
+	dh_auto_configure  -- $(CONFIGURE_ARGS) CFLAGS='-I/usr/include/tcl8.6 $(CFLAGS) -DMARCH=\"$(DEB_HOST_MULTIARCH)\" '  \
+		$(PYTHONSUPPORT) \
 		CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" FFLAGS="$(FFLAGS)"  WHIPTCLLIB=whiptcl
 
 override_dh_auto_build:

=== debian/watch ===
version=3
https://releases.pagure.org/newt/newt-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
